Replace all indexes for a database table
Replace all indexes for a database table with new index configuration
Authentication: required
Required API Scope: Workspace Database: Update
PUT
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
index
Replace all indexes for a database table
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"index": [
{
"type": "primary",
"fields": [
{
"name": "id"
}
]
},
{
"type": "btree",
"fields": [
{
"name": "created_at",
"op": "desc"
}
]
}
]
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index"
payload = { "index": [
{
"type": "primary",
"fields": [{ "name": "id" }]
},
{
"type": "btree",
"fields": [
{
"name": "created_at",
"op": "desc"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
index: [
{type: 'primary', fields: [{name: 'id'}]},
{type: 'btree', fields: [{name: 'created_at', op: 'desc'}]}
]
})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Was this page helpful?
⌘I
Replace all indexes for a database table
